GET /api/v1/voice_agents

List all AI Agents available to the authenticated company.

Params

Param name Description

Validations
ids
Optional
Return records matching these ids.
Validations:
- Must be an array of decimal values. EG: [0, 1, 2, 3]
page
Optional
Return the next page of results.
Validations:
- Must be a number.
per_page
Optional
How many results to return per page. The default is 25.
Validations:
- Must be a number.
created_at_to
Optional
Date formatted like 2016-01-01 12:25:15 -0500
Validations:
- Must be a String
created_at_from
Optional
Date formatted like 2016-01-01 12:25:15 -0500
Validations:
- Must be a String
fulltext
Optional
Search for any record that matches this text
Validations:
- Must be a String
time_zone
Optional
Date ranges will be parsed using this time zone.
Validations:
- Must be a valid time zone. See the list of valid time zones.
columns
Optional
Specify the columns you would like returned by the API for a given resource.
Limiting the columns can significantly increase API response time since only the requested data will be processed.
columns=uuid,number,created_at
#### Must be any combination of:
- id

- legacy_id

- type

- uuid

- created_at

- updated_at

- deleted_at

- user_updated_at

- routes_show_path

- routes_edit_path

- external_record_id

- company_id

- name

- description

- sip_url

- system_prompt

- conversation_timeout

- voice_agent_flow_action_exists

- number_ids

- greeting_outbound

- greeting_inbound

- vanity_number_id

- always_greet_before_interview

- reasoning_effort

Validations:
- Must be a String
root
Optional
Pass root=false to return results without a root node and metadata.
For example:
GET /api/v1/calls?root=false will return [call1, call2, call3]
While:
GET /api/v1/calls will return {calls: [call1, call2, call3], metadata: {}}
Validations:
- Must be a boolean value: 1, true, yes, on, 0, false, no, off